<bugID>717910<Summary>[meta] Developer Tools should work in chrome context</Summary><Description>It would be amazing if Developer Tools would work in chrome context and it doesn't seem like much work. I would suggest:

  1. Make tools work with XUL docs opened via the awesomebar / yummybar (e.g. see bug 705707)

  2. In "chrome mode" the highlighter veil could cover all screens. Doing this would make it simple to select any XUL or HTML element.

  3. It would greatly simplify things if platform could create a getNodeFromScreen(x, y) method. This would be different from getElementFromPoint because it is not rooted in a document and could be used to grab any XUL / HTML element from a set of screen co-ordinates. It could also be used to grab pseudo elements. Alternatively we could use getElementFromPoint but then it will be far more complex to e.g. inspect the contents of panels ... we would also lose the chance of directly inspecting pseudo-elements.

  4.  getNodeFromScreen could even make it possible to use the tools on other XUL apps from within Firefox e.g. Thunderbird (of course, to really make that possible the tools need to be E10S compliant)</Description></bugID>